using System;

namespace Krug1Zadatak1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] input;
            input = Console.ReadLine().Split(' ');
            int n = int.Parse(input[0]);
            int l = int.Parse(input[1]);
            input = Console.ReadLine().Split(' ');
            int[] h = new int[n];
            for (int i = 0; i < n; i++)
            {
                h[i] = int.Parse(input[i]);
            }
            int ind = -1;
            for (int i = 0; i < n; i++)
            {
                if (h[i] <= l)
                {
                    ind = i + 1;
                    break;
                }
            }
            Console.WriteLine(ind);
        }
    }
}